# 🧱 i3 Base Image for GNS3 (VNC)

> **Base for**: [vnc-template](https://git.merith.xyz/gns3/vnc-template)  
Minimal Alpine-based Docker image with i3 window manager for GNS3 VNC appliances.

---

## 🛠 Core Features

- **<50MB** Alpine base with i3 window manager
- Automatic DHCP configuration (`udhcpc`)
- Extensible design for lab environments

---

## 🏷️ Image Tags

| Tag        | Description                       |
|------------|-----------------------------------|
| `latest`   | Stable release (`vX.X.X`)         |
| `nightly`  | Latest `main` branch commit      |
| `<commit>` | Immutable build (e.g. `427726ea`) |

---

## ▶️ Usage with vnc-template

1. Reference this image in your `Dockerfile`:
```Dockerfile
FROM git.merith.xyz/gns3/vnc-template
```

2. Add custom tools and configs in [vnc-template](https://git.merith.xyz/gns3/vnc-template):
```Dockerfile
RUN apk add firefox wireshark
COPY my-configs /etc/
```

3. Auto start programs by adding your own entrypoint
```Dockerfile
COPY custom-entrypoint.sh /entrypoint.sh
RUN chmod +x /entrypoint.sh
```
> **⚠️ Do _not_ add an `ENTRYPOINT` line in your `Dockerfile`.**  
> The base image already defines the required entrypoint for proper operation in GNS3.

See [vnc-template repository](https://git.merith.xyz/gns3/vnc-template) for full appliance creation guide.
